<template>
  <div class="registration">
    <div class="form-wrap">
      <h2>Вход</h2>
      <form method="post" @submit.prevent="checkForm">
        <div>
          <input
            placeholder="Адрес электронной почты"
            v-model.trim="form.email"
          >
          <p 
            :class="$v.form.email.$error ? 'is-invalid' : ''"
            v-if="$v.form.email.$dirty && !$v.form.email.required"
          >
          Обязательное поле!
          </p>
          <p 
            :class="$v.form.email.$error ? 'is-invalid' : ''"
            v-if="$v.form.email.$dirty && !$v.form.email.email"
          >
          Введите email!
          </p>
          </div>
          <div>
          <input 
            placeholder="Пароль"
            v-model.trim="form.password"
          >
          <p 
            :class="$v.form.password.$error ? 'is-invalid' : ''"
            v-if="$v.form.password.$dirty && !$v.form.password.required"
          >
          Обязательное поле!
          </p>
          <p 
            :class="$v.form.email.$error ? 'is-invalid' : ''"
            v-if="$v.form.password.$dirty && !$v.form.password.minLength"
          >
          Количество символов не менее 8!
          </p>
          </div>
        <button type="submit">Отправить</button>
      </form>
    </div>
  </div>
</template>


<script>
import { validationMixin } from 'vuelidate'
import { required, minLength, email } from 'vuelidate/lib/validators'

export default {
  name: "Entrance",
  mixins: [validationMixin],
  data() {
    return {
      form: {
      email: '',
      password: ''
      }
    }
  },
  validations: {
    form: {
      email: { required, email },
      password: { required, minLength: minLength(8) }
    }
  },
  methods: {
    checkForm() {
      this.$v.form.$touch()
      if(!this.$v.form.$error){
        console.log('Валидация прошла успешно')
      }
    }
  }
}

</script>


<style lang="scss"></style>